## Documentation Index

Fetch the complete documentation index at: [/llms.txt](https://docs.cognigy.com/llms.txt)

Use this file to discover all available pages before exploring further.

DELETE

/
v2.0
/
connections
/
{connectionId}
/
fields
/
{fieldName}

### Delete a Connection Field

#### cURL

```bash
curl --request DELETE \
  --url https://api-trial.cognigy.ai/new/v2.0/connections/{connectionId}/fields/{fieldName} \
  --header 'X-API-Key: <api-key>'
```

#### Python

```python
import requests

url = "https://api-trial.cognigy.ai/new/v2.0/connections/{connectionId}/fields/{fieldName}"

headers = {"X-API-Key": "<api-key>"}

response = requests.delete(url, headers=headers)

print(response.text)
```

#### JavaScript (Fetch)

```javascript
const options = {method: 'DELETE', headers: {'X-API-Key': '<api-key>'}};

fetch('https://api-trial.cognigy.ai/new/v2.0/connections/{connectionId}/fields/{fieldName}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

#### PHP

```php
<?php

$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://api-trial.cognigy.ai/new/v2.0/connections/{connectionId}/fields/{fieldName}",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "DELETE",
  CURLOPT_HTTPHEADER => [
    "X-API-Key: <api-key>"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
```

#### Go

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

url := "https://api-trial.cognigy.ai/new/v2.0/connections/{connectionId}/fields/{fieldName}"

req, _ := http.NewRequest("DELETE", url, nil)

req.Header.Add("X-API-Key", "<api-key>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))
}
```

#### Java

```java
HttpResponse<String> response = Unirest.delete("https://api-trial.cognigy.ai/new/v2.0/connections/{connectionId}/fields/{fieldName}")
  .header("X-API-Key", "<api-key>")
  .asString();
```

#### Ruby

```ruby
require 'uri'
require 'net/http'

url = URI("https://api-trial.cognigy.ai/new/v2.0/connections/{connectionId}/fields/{fieldName}")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Delete.new(url)
request["X-API-Key"] = '<api-key>'

response = http.request(request)
puts response.read_body
```

### Response Codes

| Code | Status                        | Detail                              |
|------|-------------------------------|-------------------------------------|
| 204  | No Content                   | The Connection field was deleted successfully. |
| 400  | Bad Request                   | Validation failed. Missing payload. |
| 401  | Unauthorized                  | <string>                           |
| 402  | Payment Required              | Validation failed. Missing payload. |
| 403  | Forbidden                     | <string>                           |
| 404  | Not Found                     | <string>                           |
| 405  | Method Not Allowed            | <string>                           |
| 409  | Conflict                      | <string>                           |
| 413  | Payload Too Large             | <string>                           |
| 500  | Internal Server Error         | <string>                           |
| 501  | Not Implemented               | <string>                           |
| 502  | Bad Gateway                   | <string>                           |
| 503  | Service Unavailable           | <string>                           |
| 504  | Gateway Timeout               | <string>                           |

### Authorizations

- **X-API-Key**: required, string, header
  Supply the API Key in the HTTP-Header.

### Headers

- **Accept**: enum<string>
  The `Accept` header specifies the media type that the client expects in the response. Available options: `application/json`, `application/hal+json`, `application/xml`, `text/xml`, `text/csv`. The default value is `application/json`.

### Path Parameters

- **connectionId**: string, required
  The Id of the Connection. Required string length: `24`. Pattern: `^[a-z0-9]{24}$`

- **fieldName**: string, required
  The name of the Connection field.
